curl --request PUT \
--url https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_ids": [
"5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({person_ids: ['5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90']})
};
fetch('https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees"
payload = { "person_ids": ["5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"submission": {
"id": "<string>",
"form_id": "<string>",
"answers": {},
"status": "new",
"submitted_at": "2023-11-07T05:31:56Z",
"animal_ids": [
"<string>"
],
"submitter_name": "<string>",
"submitter_email": "<string>",
"notes": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"converted_to_type": "<string>",
"converted_to_id": "<string>",
"converted_how": "created",
"decision": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_person_id": "<string>",
"decision_note": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"application_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"form_title": "<string>",
"form_slug": "<string>",
"form_kind": "adoption_application",
"application_status": "<string>",
"application_stage": "<string>",
"application_stage_label": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog"
}
],
"decided_by_name": "<string>"
},
"fields": [
{
"field_key": "<string>",
"label": "<string>"
}
],
"can_write": true,
"can_decide": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Assign a submission
Replaces who the submission is assigned to; an empty list assigns nobody. Only members of your team can be assigned, not people whose only access is a portal, and at most 10. Somebody who stays assigned keeps the time they were assigned. Each person newly assigned is sent a notice. If an adoption or foster application was made from the submission, it gets the same list. Needs write on the area of the form’s kind.
curl --request PUT \
--url https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_ids": [
"5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({person_ids: ['5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90']})
};
fetch('https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/submissions/{id}/assignees"
payload = { "person_ids": ["5c1d8e2a-7b41-4f0e-9a63-2d8f4b7c1e90"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"submission": {
"id": "<string>",
"form_id": "<string>",
"answers": {},
"status": "new",
"submitted_at": "2023-11-07T05:31:56Z",
"animal_ids": [
"<string>"
],
"submitter_name": "<string>",
"submitter_email": "<string>",
"notes": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"converted_to_type": "<string>",
"converted_to_id": "<string>",
"converted_how": "created",
"decision": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_person_id": "<string>",
"decision_note": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"application_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"form_title": "<string>",
"form_slug": "<string>",
"form_kind": "adoption_application",
"application_status": "<string>",
"application_stage": "<string>",
"application_stage_label": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog"
}
],
"decided_by_name": "<string>"
},
"fields": [
{
"field_key": "<string>",
"label": "<string>"
}
],
"can_write": true,
"can_decide": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The submission's record ID.
Body
The record IDs of the team members to assign.
10Response
The submission, as Get one submission gives it.
One submission. The list also carries the form's title, address and kind, the application made from it, and the assignees; changing one returns the submission alone.
Show child attributes
Show child attributes
The form's questions as they are today, in order, to label the answers. An answer to a question removed since has no label here.
Show child attributes
Show child attributes
Whether your key may change it.
Whether it is a kind that is approved or rejected.